Summary: A development library for text mode user interfaces.
Name: newt
Version: 0.51.6
Release: 20tr
License: LGPL
Group: Trustix Official
Source: ftp://ftp.redhat.com/pub/redhat/code/newt/newt-%{version}.tar.gz
Patch: newt-0.51.6-notcl.patch
Patch1: newt-trustix-colors.patch
Requires: slang
Provides: snack

%package devel
Summary: Newt windowing toolkit development files.
Requires: slang-devel
Group: Trustix Official
BuildRoot: /var/tmp/newtroot

%description
Newt is a programming library for color text mode, widget based user
interfaces.  Newt can be used to add stacked windows, entry widgets,
checkboxes, radio buttons, labels, plain text fields, scrollbars,
etc., to text mode user interfaces.  This package also contains the
shared library needed by programs built with newt, as well as a
/usr/bin/dialog replacement called whiptail.  Newt is based on the
slang library.

%description devel
The newt-devel package contains the header files and libraries
necessary for developing applications which use newt.  Newt is a
development library for text mode user interfaces.  Newt is based on
the slang library.

Install newt-devel if you want to develop applications which will use
newt.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
export RPM_OPT_FLAGS="`echo $RPM_OPT_FLAGS | sed -e 's/-D_FILE_OFFSET_BITS=64//' |\
			sed -e 's/-D_LARGE_FILES=1//' |\
			sed -e 's/-D_LARGEFILE64_SOURCE=1//'`"
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export FFLAGS="$RPM_OPT_FLAGS"
%configure --with-gpm-support
make
make shared

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
export RPM_OPT_FLAGS="`echo $RPM_OPT_FLAGS | sed -e 's/-D_FILE_OFFSET_BITS=64//' |\
			sed -e 's/-D_LARGE_FILES=1//' |\
			sed -e 's/-D_LARGEFILE64_SOURCE=1//'` %{?no_stack_protector}"
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export FFLAGS="$RPM_OPT_FLAGS"
mkdir -p $RPM_BUILD_ROOT
make instroot=$RPM_BUILD_ROOT install
make instroot=$RPM_BUILD_ROOT install-sh

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root,0755)
%doc CHANGES COPYING
/usr/lib/libnewt.so.*
/usr/bin/whiptail
/usr/lib/python2.3/*

%files devel
%defattr (-,root,root,0755)
%doc tutorial.sgml
/usr/include/newt.h
/usr/lib/libnewt.a
/usr/lib/libnewt.so

%changelog
* Wed Aug 17 2005 Ajith Thampi <ajith at comodo dot com> 0.51.6-20tr
- Rebuilt on utf8 supported slang
	
* Wed May 25 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.51.6-18tr
- Changed Button text to lightgray instead of black.

* Mon May 02 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.51.6-17tr
- Button fg changed to black.

* Fri Apr 29 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.51.6-16tr
- updated trustix-colors patch

* Wed Mar 16 2005 Thushara Gopalakrishnan <thushara at comodo dot com>  0.51.6-14tr
- Rebuilt

* Thu Dec 30 2004 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.51.6-12tr
- Rebuilt on Python-2.3.4, Added color patch

* Tue Feb 17 2004 Chr. Toldnes <christht at trustix dot org> 0.50.33-9tr
- Built without stack protector
- Built without tcl

* Wed Dec 17 2003 Erlend Midttun <erlendbm at trustix dot com> 0.50.33-7tr
- New cflags.

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 0.50.33-5tr
- Make %%setup quiet.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.50.33-4tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.50.33-3em
- Rebuilt against glibc 2.3.2.

* Sat Jun 15 2002 Gerald Dachs <gda at trustix dot org>
- stupid passwd bug fixed

* Fri Jun  7 2002 Christian H. Toldnes <christht at trustix dot com>
- Upgrade to 0.50.33 for now.
- patched to build against python2.2

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Wed Sep 01 1999 Erik Troan <ewt@redhat.com>
- added suspend/resume to snack

* Tue Aug 31 1999 Matt Wilson <msw@redhat.com>
- enable gpm support

* Fri Aug 27 1999 Matt Wilson <msw@redhat.com>
- added hotkey assignment for gridforms, changed listbox.setcurrent to
  take the item key

* Wed Aug 25 1999 Matt Wilson <msw@redhat.com>
- fixed snack callback function refcounts, as well as optional data args
- fixed suspend callback ref counts

* Mon Aug 23 1999 Matt Wilson <msw@redhat.com>
- added buttons argument to entrywindow

* Thu Aug 12 1999 Bill Nottingham <notting@redhat.com>
- multi-state checkboxtrees. Woohoo.

* Mon Aug  9 1999 Matt Wilson <msw@redhat.com>
- added snack wrappings for checkbox flag setting

* Thu Aug  5 1999 Matt Wilson <msw@redhat.com>
- added snack bindings for setting current listbox selection
- added argument to set default selection in snack ListboxChoiceWindow

* Mon Aug  2 1999 Matt Wilson <msw@redhat.com>
- added checkboxtree
- improved snack binding

* Fri Apr  9 1999 Matt Wilson <msw@redhat.com>
- fixed a glibc related bug in reflow that was truncating all text to 1000
chars

* Fri Apr 09 1999 Matt Wilson <msw@redhat.com>
- fixed bug that made newt apps crash when you hit <insert> followed by lots
of keys

* Mon Mar 15 1999 Matt Wilson <msw@redhat.com>
- fix from Jakub Jelinek for listbox keypresses

* Fri Feb 27 1999 Matt Wilson <msw@redhat.com>
- fixed support for navigating listboxes with alphabetical keypresses

* Thu Feb 25 1999 Matt Wilson <msw@redhat.com>
- updated descriptions
- added support for navigating listboxes with alphabetical keypresses

* Mon Feb  8 1999 Matt Wilson <msw@redhat.com>
- made grid wrapped windows at least the size of their title bars

* Fri Feb  5 1999 Matt Wilson <msw@redhat.com>
- Function to set checkbox flags.  This will go away later when I have
  a generic flag setting function and signals to comps to go insensitive.

* Tue Jan 19 1999 Matt Wilson <msw@redhat.com>
- Stopped using libgpm, internalized all gpm calls.  Still need some cleanups.

* Thu Jan  7 1999 Matt Wilson <msw@redhat.com>
- Added GPM mouse support
- Moved to autoconf to allow compiling without GPM support
- Changed revision to 0.40

* Wed Oct 21 1998 Bill Nottingham <notting@redhat.com>
- built against slang-1.2.2

* Wed Aug 19 1998 Bill Nottingham <notting@redhat.com>
- bugfixes for text reflow
- added docs

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- devel package moved to Development/Libraries

* Thu Apr 30 1998 Erik Troan <ewt@redhat.com>
- removed whiptcl.so -- it should be in a separate package

* Mon Feb 16 1998 Erik Troan <ewt@redhat.com>
- added newtWinMenu()
- many bug fixes in grid code

* Wed Jan 21 1998 Erik Troan <ewt@redhat.com>
- removed newtWinTernary()
- made newtWinChoice() return codes consistent with newtWinTernary()

* Fri Jan 16 1998 Erik Troan <ewt@redhat.com>
- added changes from Bruce Perens
    - small cleanups
    - lets whiptail automatically resize windows
- the order of placing a grid and adding components to a form no longer
  matters
- added newtGridAddComponentsToForm()

* Wed Oct 08 1997 Erik Troan <ewt@redhat.com>
- added newtWinTernary()

* Tue Oct 07 1997 Erik Troan <ewt@redhat.com>
- made Make/spec files use a buildroot
- added grid support (for newt 0.11 actually)

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- Added patched from Clarence Smith for setting the size of a listbox
- Version 0.9

* Tue May 28 1997 Elliot Lee <sopwith@redhat.com> 0.8-2
- Touchups on Makefile
- Cleaned up NEWT_FLAGS_*

* Tue Mar 18 1997 Erik Troan <ewt@redhat.com>
- Cleaned up listbox
- Added whiptail
- Added newtButtonCompact button type and associated colors
- Added newtTextboxGetNumLines() and newtTextboxSetHeight()

* Tue Feb 25 1997 Erik Troan <ewt@redhat.com>
- Added changes from sopwith for C++ cleanliness and some listbox fixes.
